Home

Vessel Tracking API

version 1

Vessel Tracking API allows users to search for vessel information and retrieve their location data worldwide.

OpenAPI Specification

Start designing your API in minutes. The OpenAPI specification file enables you to learn and interact with API elements, including all available endpoints, input and output representations.

General information

Vessel Tracking API is organized around REST.
Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

API endpoint#

1https://tracking.searates.com/api

All endpoints are only accessible via HTTPS and are located at tracking.searates.com

Get vessel data

get/v1/vessels

Our API allows users to search for vessel information and retrieve their location data worldwide.

Headers

Content-Typeapplication/json

Query Parameters
  • api_keyREQUIREDstring

    The API key required for authentication. If you do not have an API key, please contact us to purchase a subscription.

  • searchREQUIREDstring

    Search criteria. Can be a single IMO, MMSI, Vessel Name, or Call Sign, or a comma-separated list of these identifiers.

    Examples:96869129686912,355708000,JAMAICA EXPRESS,9V6598

  • aisOptionalboolean

    Include AIS and voyage data in the response. Defaults to false.

    Default:false

    Examples:true

  • routeOptionalboolean

    Include route data in the response. Defaults to false.

    Default:false

    Examples:true

  • scheduleOptionalboolean

    Include schedule data in the response. Defaults to false.

    Default:false

    Examples:true

Response example
Successful response
1{
2  "success": true,
3  "message": "OK",
4  "vessels": [
5    {
6      "imo": 9332688,
7      "name": "MAERSK ROUBAIX",
8      "mmsi": 477143100,
9      "call_sign": "VREN3",
10      "flag": "HK",
11      "year_built": 2006,
12      "type": "Container Ship",
13      "length": 147.86,
14      "width": 23.25,
15      "ais": {
16        "timestamp": "2026-06-12 10:13:38",
17        "navigational_status": "Under way using engine",
18        "source": "Terrestrial",
19        "draught": 8.9,
20        "latitude": -6.7316666,
21        "longitude": 8.3716669,
22        "course": 346,
23        "speed": 12
24      },
25      "voyage": {
26        "departure_port": {
27          "name": "Walvis Bay",
28          "country_code": "NA",
29          "unlocode": "NAWVB",
30          "date": "2026-06-09 04:56:00",
31          "date_label": "ATD"
32        },
33        "destination_port": {
34          "name": "Walvis Bay",
35          "country_code": "NA",
36          "unlocode": "NAWVB",
37          "date": "2026-06-12 13:00:00",
38          "date_label": "ETA"
39        }
40      },
41      "schedule": {
42        "status": "AVAILABLE",
43        "updated_at": "2026-06-12 11:13:10",
44        "sources": [
45          {
46            "service": {
47              "name": "WAF 13",
48              "code": "W13",
49              "description": "West Africa rotation"
50            },
51            "sealine": {
52              "name": "Maersk",
53              "scac": "MAEU"
54            },
55            "voyages": [
56              "623N",
57              "624S",
58              "625N",
59              "626S",
60              "627N",
61              "628S",
62              "629N",
63              "630S"
64            ],
65            "port_calls": [
66              {
67                "sequence": 1,
68                "port": {
69                  "location_id": 1,
70                  "facility_id": null
71                },
72                "voyage": {
73                  "arrival": "623N",
74                  "departure": "624S"
75                },
76                "date": {
77                  "arrival": {
78                    "actual": "2026-06-13 07:00:00",
79                    "estimated": null
80                  },
81                  "berth": {
82                    "actual": null,
83                    "estimated": null
84                  },
85                  "departure": {
86                    "actual": "2026-06-14 09:30:00",
87                    "estimated": null
88                  }
89                }
90              },
91              {
92                "sequence": 2,
93                "port": {
94                  "location_id": 2,
95                  "facility_id": null
96                },
97                "voyage": {
98                  "arrival": "624S",
99                  "departure": "625N"
100                },
101                "date": {
102                  "arrival": {
103                    "actual": "2026-06-14 15:01:00",
104                    "estimated": null
105                  },
106                  "berth": {
107                    "actual": null,
108                    "estimated": null
109                  },
110                  "departure": {
111                    "actual": "2026-06-15 15:01:00",
112                    "estimated": null
113                  }
114                }
115              },
116              {
117                "sequence": 3,
118                "port": {
119                  "location_id": 3,
120                  "facility_id": null
121                },
122                "voyage": {
123                  "arrival": "624S",
124                  "departure": "625N"
125                },
126                "date": {
127                  "arrival": {
128                    "actual": "2026-06-19 22:00:00",
129                    "estimated": null
130                  },
131                  "berth": {
132                    "actual": null,
133                    "estimated": null
134                  },
135                  "departure": {
136                    "actual": "2026-06-20 22:00:00",
137                    "estimated": null
138                  }
139                }
140              },
141              {
142                "sequence": 4,
143                "port": {
144                  "location_id": 4,
145                  "facility_id": null
146                },
147                "voyage": {
148                  "arrival": "625N",
149                  "departure": "626S"
150                },
151                "date": {
152                  "arrival": {
153                    "actual": "2026-06-25 07:00:00",
154                    "estimated": null
155                  },
156                  "berth": {
157                    "actual": null,
158                    "estimated": null
159                  },
160                  "departure": {
161                    "actual": "2026-06-26 19:00:00",
162                    "estimated": null
163                  }
164                }
165              },
166              {
167                "sequence": 5,
168                "port": {
169                  "location_id": 5,
170                  "facility_id": null
171                },
172                "voyage": {
173                  "arrival": "626S",
174                  "departure": "627N"
175                },
176                "date": {
177                  "arrival": {
178                    "actual": "2026-06-28 03:00:00",
179                    "estimated": null
180                  },
181                  "berth": {
182                    "actual": null,
183                    "estimated": null
184                  },
185                  "departure": {
186                    "actual": "2026-06-30 01:00:00",
187                    "estimated": null
188                  }
189                }
190              },
191              {
192                "sequence": 6,
193                "port": {
194                  "location_id": 6,
195                  "facility_id": null
196                },
197                "voyage": {
198                  "arrival": "626S",
199                  "departure": "627N"
200                },
201                "date": {
202                  "arrival": {
203                    "actual": "2026-07-03 22:00:00",
204                    "estimated": null
205                  },
206                  "berth": {
207                    "actual": null,
208                    "estimated": null
209                  },
210                  "departure": {
211                    "actual": "2026-07-04 22:00:00",
212                    "estimated": null
213                  }
214                }
215              },
216              {
217                "sequence": 7,
218                "port": {
219                  "location_id": 7,
220                  "facility_id": null
221                },
222                "voyage": {
223                  "arrival": "627N",
224                  "departure": "628S"
225                },
226                "date": {
227                  "arrival": {
228                    "actual": "2026-07-09 07:00:00",
229                    "estimated": null
230                  },
231                  "berth": {
232                    "actual": null,
233                    "estimated": null
234                  },
235                  "departure": {
236                    "actual": "2026-07-10 19:00:00",
237                    "estimated": null
238                  }
239                }
240              },
241              {
242                "sequence": 8,
243                "port": {
244                  "location_id": 8,
245                  "facility_id": null
246                },
247                "voyage": {
248                  "arrival": "628S",
249                  "departure": "629N"
250                },
251                "date": {
252                  "arrival": {
253                    "actual": "2026-07-12 03:00:00",
254                    "estimated": null
255                  },
256                  "berth": {
257                    "actual": null,
258                    "estimated": null
259                  },
260                  "departure": {
261                    "actual": "2026-07-14 01:00:00",
262                    "estimated": null
263                  }
264                }
265              },
266              {
267                "sequence": 9,
268                "port": {
269                  "location_id": 9,
270                  "facility_id": null
271                },
272                "voyage": {
273                  "arrival": "628S",
274                  "departure": "629N"
275                },
276                "date": {
277                  "arrival": {
278                    "actual": "2026-07-17 22:00:00",
279                    "estimated": null
280                  },
281                  "berth": {
282                    "actual": null,
283                    "estimated": null
284                  },
285                  "departure": {
286                    "actual": "2026-07-18 22:00:00",
287                    "estimated": null
288                  }
289                }
290              },
291              {
292                "sequence": 10,
293                "port": {
294                  "location_id": 10,
295                  "facility_id": null
296                },
297                "voyage": {
298                  "arrival": "629N",
299                  "departure": "630S"
300                },
301                "date": {
302                  "arrival": {
303                    "actual": "2026-07-23 07:00:00",
304                    "estimated": null
305                  },
306                  "berth": {
307                    "actual": null,
308                    "estimated": null
309                  },
310                  "departure": {
311                    "actual": "2026-07-24 19:00:00",
312                    "estimated": null
313                  }
314                }
315              }
316            ],
317            "updated_at": "2026-06-12 11:13:09"
318          }
319        ]
320      },
321      "route": {
322        "origin": {
323          "location": 11,
324          "date": "2026-06-09 04:56:00",
325          "actual": true
326        },
327        "destination": {
328          "location": 12,
329          "date": "2026-06-12 13:00:00",
330          "actual": false,
331          "predictive_eta": "2025-05-20 02:34:00"
332        }
333      }
334    }
335  ],
336  "locations": [
337    {
338      "id": 1,
339      "type": "port",
340      "name": "Pointe Noire",
341      "state": "Sangha",
342      "country": "Republic of the Congo",
343      "country_code": "CG",
344      "locode": "CGPNR",
345      "lat": -4.7864475,
346      "lng": 11.833135,
347      "timezone": "Africa/Brazzaville"
348    },
349    {
350      "id": 2,
351      "type": "port",
352      "name": "Luanda",
353      "state": "Luanda Province",
354      "country": "Angola",
355      "country_code": "AO",
356      "locode": "AOLAD",
357      "lat": -8.83682,
358      "lng": 13.23432,
359      "timezone": "Africa/Luanda"
360    },
361    {
362      "id": 3,
363      "type": "port",
364      "name": "Walvis Bay",
365      "state": "Erongo",
366      "country": "Namibia",
367      "country_code": "NA",
368      "locode": "NAWVB",
369      "lat": -22.9575,
370      "lng": 14.50528,
371      "timezone": "Africa/Windhoek"
372    },
373    {
374      "id": 4,
375      "type": "port",
376      "name": "Pointe Noire",
377      "state": "Sangha",
378      "country": "Republic of the Congo",
379      "country_code": "CG",
380      "locode": "CGPNR",
381      "lat": -4.7864475,
382      "lng": 11.833135,
383      "timezone": "Africa/Brazzaville"
384    },
385    {
386      "id": 5,
387      "type": "port",
388      "name": "Luanda",
389      "state": "Luanda Province",
390      "country": "Angola",
391      "country_code": "AO",
392      "locode": "AOLAD",
393      "lat": -8.83682,
394      "lng": 13.23432,
395      "timezone": "Africa/Luanda"
396    },
397    {
398      "id": 6,
399      "type": "port",
400      "name": "Walvis Bay",
401      "state": "Erongo",
402      "country": "Namibia",
403      "country_code": "NA",
404      "locode": "NAWVB",
405      "lat": -22.9575,
406      "lng": 14.50528,
407      "timezone": "Africa/Windhoek"
408    },
409    {
410      "id": 7,
411      "type": "port",
412      "name": "Pointe Noire",
413      "state": "Sangha",
414      "country": "Republic of the Congo",
415      "country_code": "CG",
416      "locode": "CGPNR",
417      "lat": -4.7864475,
418      "lng": 11.833135,
419      "timezone": "Africa/Brazzaville"
420    },
421    {
422      "id": 8,
423      "type": "port",
424      "name": "Luanda",
425      "state": "Luanda Province",
426      "country": "Angola",
427      "country_code": "AO",
428      "locode": "AOLAD",
429      "lat": -8.83682,
430      "lng": 13.23432,
431      "timezone": "Africa/Luanda"
432    },
433    {
434      "id": 9,
435      "type": "port",
436      "name": "Walvis Bay",
437      "state": "Erongo",
438      "country": "Namibia",
439      "country_code": "NA",
440      "locode": "NAWVB",
441      "lat": -22.9575,
442      "lng": 14.50528,
443      "timezone": "Africa/Windhoek"
444    },
445    {
446      "id": 10,
447      "type": "port",
448      "name": "Pointe Noire",
449      "state": "Sangha",
450      "country": "Republic of the Congo",
451      "country_code": "CG",
452      "locode": "CGPNR",
453      "lat": -4.7864475,
454      "lng": 11.833135,
455      "timezone": "Africa/Brazzaville"
456    },
457    {
458      "id": 11,
459      "type": "port",
460      "name": "Walvis Bay",
461      "state": "Erongo",
462      "country": "Namibia",
463      "country_code": "NA",
464      "locode": "NAWVB",
465      "lat": -22.9575,
466      "lng": 14.50528,
467      "timezone": "Africa/Windhoek"
468    },
469    {
470      "id": 12,
471      "type": "port",
472      "name": "Walvis Bay",
473      "state": "Erongo",
474      "country": "Namibia",
475      "country_code": "NA",
476      "locode": "NAWVB",
477      "lat": -22.9575,
478      "lng": 14.50528,
479      "timezone": "Africa/Windhoek"
480    }
481  ]
482}